# -*- encoding: utf-8 -*-
# stub: squib 0.19.0 ruby lib

Gem::Specification.new do |s|
  s.name = "squib".freeze
  s.version = "0.19.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andy Meneely".freeze]
  s.date = "2023-04-09"
  s.description = "Squib is a Ruby DSL for prototyping card games".freeze
  s.email = "andy.meneely@gmail.com".freeze
  s.executables = ["squib".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "samples/autoscale_font/_autoscale_font.rb".freeze, "samples/backend/_backend.rb".freeze, "samples/basic.rb".freeze, "samples/build_groups/build_groups.rb".freeze, "samples/colors/_colors.rb".freeze, "samples/colors/_gradients.rb".freeze, "samples/colors/_switch_color.rb".freeze, "samples/config/config_text_markup.rb".freeze, "samples/config/custom_config.rb".freeze, "samples/data/_csv.rb".freeze, "samples/data/_excel.rb".freeze, "samples/data/_yaml.rb".freeze, "samples/hello_world.rb".freeze, "samples/images/_cairo_access.rb".freeze, "samples/images/_images.rb".freeze, "samples/images/_more_load_images.rb".freeze, "samples/images/_placeholders.rb".freeze, "samples/intro/01_hello.rb".freeze, "samples/intro/02_options.rb".freeze, "samples/intro/03_layout.rb".freeze, "samples/intro/04_arrays.rb".freeze, "samples/intro/05_excel.rb".freeze, "samples/layouts/builtin_layouts.rb".freeze, "samples/layouts/layouts.rb".freeze, "samples/project/src/characters.rb".freeze, "samples/project/src/skills.rb".freeze, "samples/proofs/_tgc_proofs.rb".freeze, "samples/ranges/_ranges.rb".freeze, "samples/saves/_hand.rb".freeze, "samples/saves/_portrait_landscape.rb".freeze, "samples/saves/_save_filenames.rb".freeze, "samples/saves/_save_pdf.rb".freeze, "samples/saves/_saves.rb".freeze, "samples/saves/_showcase.rb".freeze, "samples/shadows/_shadow.rb".freeze, "samples/shapes/_draw_shapes.rb".freeze, "samples/shapes/_proofs.rb".freeze, "samples/sprues/_advanced_sprues.rb".freeze, "samples/sprues/_builtin_sprues.rb".freeze, "samples/sprues/_fold_sheet.rb".freeze, "samples/sprues/_hex_tiles.rb".freeze, "samples/sprues/_mints.rb".freeze, "samples/sprues/_negative_coords.rb".freeze, "samples/sprues/_sprue_example.rb".freeze, "samples/system_font_debug/_list_fonts.rb".freeze, "samples/text/_embed_text.rb".freeze, "samples/text/_text.rb".freeze, "samples/text/_text_options.rb".freeze, "samples/text/bug134.rb".freeze, "samples/units/_cells.rb".freeze, "samples/units/_shorthands.rb".freeze, "samples/units/_units.rb".freeze]
  s.files = ["README.md".freeze, "bin/squib".freeze, "samples/autoscale_font/_autoscale_font.rb".freeze, "samples/backend/_backend.rb".freeze, "samples/basic.rb".freeze, "samples/build_groups/build_groups.rb".freeze, "samples/colors/_colors.rb".freeze, "samples/colors/_gradients.rb".freeze, "samples/colors/_switch_color.rb".freeze, "samples/config/config_text_markup.rb".freeze, "samples/config/custom_config.rb".freeze, "samples/data/_csv.rb".freeze, "samples/data/_excel.rb".freeze, "samples/data/_yaml.rb".freeze, "samples/hello_world.rb".freeze, "samples/images/_cairo_access.rb".freeze, "samples/images/_images.rb".freeze, "samples/images/_more_load_images.rb".freeze, "samples/images/_placeholders.rb".freeze, "samples/intro/01_hello.rb".freeze, "samples/intro/02_options.rb".freeze, "samples/intro/03_layout.rb".freeze, "samples/intro/04_arrays.rb".freeze, "samples/intro/05_excel.rb".freeze, "samples/layouts/builtin_layouts.rb".freeze, "samples/layouts/layouts.rb".freeze, "samples/project/src/characters.rb".freeze, "samples/project/src/skills.rb".freeze, "samples/proofs/_tgc_proofs.rb".freeze, "samples/ranges/_ranges.rb".freeze, "samples/saves/_hand.rb".freeze, "samples/saves/_portrait_landscape.rb".freeze, "samples/saves/_save_filenames.rb".freeze, "samples/saves/_save_pdf.rb".freeze, "samples/saves/_saves.rb".freeze, "samples/saves/_showcase.rb".freeze, "samples/shadows/_shadow.rb".freeze, "samples/shapes/_draw_shapes.rb".freeze, "samples/shapes/_proofs.rb".freeze, "samples/sprues/_advanced_sprues.rb".freeze, "samples/sprues/_builtin_sprues.rb".freeze, "samples/sprues/_fold_sheet.rb".freeze, "samples/sprues/_hex_tiles.rb".freeze, "samples/sprues/_mints.rb".freeze, "samples/sprues/_negative_coords.rb".freeze, "samples/sprues/_sprue_example.rb".freeze, "samples/system_font_debug/_list_fonts.rb".freeze, "samples/text/_embed_text.rb".freeze, "samples/text/_text.rb".freeze, "samples/text/_text_options.rb".freeze, "samples/text/bug134.rb".freeze, "samples/units/_cells.rb".freeze, "samples/units/_shorthands.rb".freeze, "samples/units/_units.rb".freeze]
  s.homepage = "https://github.com/andymeneely/squib".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Happy Squibbing!".freeze
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.requirements = ["On Windows, you need the Ruby+DevKit. See https://rubyinstaller.org/downloads".freeze]
  s.rubygems_version = "3.4.19".freeze
  s.summary = "A Ruby DSL for prototyping card games".freeze

  s.installed_by_version = "3.4.19" if s.respond_to? :installed_by_version

  s.specification_version = 2

  s.add_runtime_dependency(%q<cairo>.freeze, ["~> 1.17", ">= 1.17.8"])
  s.add_runtime_dependency(%q<classy_hash>.freeze, [">= 0.2.1"])
  s.add_runtime_dependency(%q<gio2>.freeze, [">= 3.4"])
  s.add_runtime_dependency(%q<gobject-introspection>.freeze, [">= 3.4"])
  s.add_runtime_dependency(%q<highline>.freeze, [">= 2.0.0"])
  s.add_runtime_dependency(%q<mercenary>.freeze, [">= 0.4.0"])
  s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.14", ">= 1.14.2"])
  s.add_runtime_dependency(%q<pango>.freeze, [">= 3.4"])
  s.add_runtime_dependency(%q<rainbow>.freeze, ["~> 3.1"])
  s.add_runtime_dependency(%q<roo>.freeze, ["~> 2.9"])
  s.add_runtime_dependency(%q<rsvg2>.freeze, [">= 3.4"])
  s.add_runtime_dependency(%q<ruby-progressbar>.freeze, ["~> 1.11"])
  s.add_development_dependency(%q<activesupport>.freeze, [">= 0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<coveralls>.freeze, [">= 0.8.21"])
  s.add_development_dependency(%q<guard>.freeze, [">= 0"])
  s.add_development_dependency(%q<guard-rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<game_icons>.freeze, [">= 0"])
  s.add_development_dependency(%q<launchy>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8"])
end
